Download Shareware and Freeware Software for Windows, Linux, Macintosh, PDA

line Home  |  About Us  |  Link To Us  |  FAQ  |  Contact

Serving Software Downloads in 976 Categories, Downloaded 29.612.364 Times

Comodo Firewall 5.9

  Date Added: April 21, 2014  |  Visits: 160.518
5 Stars5 Stars5 Stars5 Stars5 Stars

Comodo Firewall
Full screenshot

Report Broken Link
Printer Friendly Version


Product Homepage
Download (1916 downloads)



Comodo's free Firewall is your first layer of defense against viruses, worms, Trojans, hackers and all Internet threats. Comodo's Firewall uses Default Deny Protection to prevent threats from occurring, rather than just detecting them when it's already too late. Whenever an unknown piece of software is introduced to your system, Comodo Firewall cross-references it with a white-list of over 15 million trusted files and applications. If the file asking for access is on the list, Comodo Firewall can be sure it's safe for your computer to allow it to execute. If not, Comodo Firewall will alert you that a possibly malicious file is trying to enter your PC. The latest version sees a major leap forward in security and usability with the addition of cloud based scanning and behavior analysis of unrecognized files - making Comodo Firewall unbeatable at detecting zero-day attacks. Under default settings, unknown and untrusted files are automatically scanned by our cloud-based virus scanners then, while the file undergoes behavior analysis on our cloud server, it is run in a virtual environment (sandbox) on your local machine so that it cannot modify or affect data on your 'real' system. This ground-breaking method of protecting your PC means that only trusted applications are allowed to run. Malware and untrusted files get nowhere near anything important AND you get to use your computer without interruption from nagging alerts. The software also boasts a powerful packet filtering firewall that helps you securely connect to the internet while blocking hackers from making incoming connections. It's easy to use and features an attractive interface that lets even beginners change settings to their liking. Comodo Firewall comes with automatic updates and is winner of the prestigious Editor's Choice award from PCMag.com. Download it now and find out why prevention-based protection is the security technology of the future. Comodo Firewall is completely free for life.

Requirements: No special requirements
Release Date: December 19, 2011
Platforms: Windows XP , Win7 x32,Win7 x64,WinVista,WinVista x64
Keyword: Antivirus Award Winning Firewall Excellent Firewall Firewall Free Firewall Free Security Suite Free Software Internet Security Pc Firewall Pc Security Prevention
Version 5.9 Changes: NEW! Trustconnect - CIS auto-detects unsecured wireless connections and lets you connect using TrustConnect NEW! Faster AV scans with 'Smart Scan' Technology IMPROVED! Malware deletion capabilities IMPROVED! Dragon browser is included with CIS FIXED! Various bugfixes to improve security/performance
Users rating: 9/10

License: Demo Size: 81.9 MB
USER REVIEWS
( 6 November 2016, 18:14)

Comments:

I just started using Comodo Firewall. I have to say I love the friendly interface and so far software seems to be reliable and easy to use.
Ease of use : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Functionality : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Value for money : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Overall score : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
 
(22 March 2015, 12:52)

Comments:

When it comes to choose a firewall for PC I always recommend Comodo to my friends. It offers great protection at zero cost.
Ease of use : 5 Stars5 Stars5 Stars5 Stars5 Stars
Functionality : 5 Stars5 Stars5 Stars5 Stars5 Stars
Value for money : 5 Stars5 Stars5 Stars5 Stars5 Stars
Overall score : 5 Stars5 Stars5 Stars5 Stars5 Stars
 
(23 December 2014, 09:02)

Comments:

Very convenient program to use. It's free but works like professional firewall.
Ease of use : 4 Stars4 Stars4 Stars4 Stars4 Stars
Functionality : 4 Stars4 Stars4 Stars4 Stars4 Stars
Value for money : 4 Stars4 Stars4 Stars4 Stars4 Stars
Overall score : 4 Stars4 Stars4 Stars4 Stars4 Stars
 
(29 October 2014, 10:39)

Comments:

It's a must have software. Nice and easy to use interface, working perfectly.
Ease of use : 4 Stars4 Stars4 Stars4 Stars4 Stars
Functionality : 4 Stars4 Stars4 Stars4 Stars4 Stars
Value for money : 4 Stars4 Stars4 Stars4 Stars4 Stars
Overall score : 4 Stars4 Stars4 Stars4 Stars4 Stars
 
(21 September 2014, 10:29)

Comments:

Simple but powerful program, worth giving a try.
Ease of use : 4 Stars4 Stars4 Stars4 Stars4 Stars
Functionality : 4 Stars4 Stars4 Stars4 Stars4 Stars
Value for money : 4 Stars4 Stars4 Stars4 Stars4 Stars
Overall score : 4 Stars4 Stars4 Stars4 Stars4 Stars
 
(14 September 2014, 10:29)

Comments:

I have been using it for years. Never faced any problem on my PC since then.
Ease of use : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Functionality : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Value for money : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Overall score : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
 
( 8 June 2014, 11:21)

Comments:

Great performance by this firewall. Love it.
Ease of use : 4 Stars4 Stars4 Stars4 Stars4 Stars
Functionality : 4 Stars4 Stars4 Stars4 Stars4 Stars
Value for money : 4 Stars4 Stars4 Stars4 Stars4 Stars
Overall score : 4 Stars4 Stars4 Stars4 Stars4 Stars
 
( 2 May 2014, 10:34)

Comments:

I love comodo firewall. It's very good and effective software.
Ease of use : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Functionality : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Value for money : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Overall score : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
 
More Reviews or Write Review


COMODO FIREWALL RELATED
Security Tools  -  Outpost Security Suite Free 64bit 7.1.1.3431.520
Agnitum is the first security vendor to deliver a fully functional free version of an Internet security suite for Windows users. Outpost Security Suite FREE 7.0 builds on the acclaimed antivirus, firewall and proactive protection technologies. The...
83.2 MB  
Security Tools  -  Outpost Security Suite Free 7.1.1.3431.520
Agnitum is the first security vendor to deliver a fully functional free version of an Internet security suite for Windows users. Outpost Security Suite FREE 7.0 builds on the acclaimed antivirus, firewall and proactive protection technologies. The...
83.2 MB  
Security Tools  -  Agnitum Outpost Security Suite Free 7. 1. 2001
Keep your files, programs and PC secure with reliable, easy to use protection that's totally free. All-in-one online and offline malware defense and powerful data leak prevention combine to deliver robust, bullet-proof security for individuals and...
94.73 MB  
File Utilities  -  Comodo Internet Security 6.3.300670.2970
Comodo Internet Security combines the award-winning Comodo Firewall and Antivirus software in one easy-to-install suite. More than 10 million PC users around the world rely on Comodo. Free. Comodo Internet Security 2013 is the free,...
144.24 MB  
Anti-SPAM Tools  -  Easy PC Firewall 1.9.9
Easy PC Firewall: Protection has never been so easy - Internet security - Antivirus, How does easy pc firewall works?, Why choose for easy pc firewall?, Easy PC Firewall version 1.9.9 has been released! The best internet security software...
2.98 MB  
Security Tools  -  Agnitum Outpost Security Suite Free (64-bit) 7. 1. 2001
Keep your files, programs and PC secure with reliable, easy to use protection that's totally free. All-in-one online and offline malware defense and powerful data leak prevention combine to deliver robust, bullet-proof security for individuals and...
104.25 MB  
Business  -  IBM Systems Magazine Mainframe edition 1.2
IBM Systems Magazine, Mainframe edition - an award winning publication now enhanced for the iPad - comes to you FREE 6 times per year. This bimonthly magazine is focused on the world of IBM Technology, and the future of those technologies as told...
5.5 MB  
Utilities  -  Girder 3.3.4
Girder, the award winning Windows automation utility from Promixis is ready to let you control, automate and enjoy your PC! There is no limit to what you can do with Girder. From home theater automation, PC-based media players, business...
2.34 MB  
Gaming Utilities  -  Advanced Win Utilities Free 7.7.7
Advanced Win Utilities Free, a system tweaking suite, provides a one-stop solution for PC performance optimization. With 20+ effective tools, you can easily clean up, speed up, maintain, secure, and repair your system to make your PC run like...
8.74 MB  
Firewalls  -  NetworkShield Firewall 2006 build 192
If data security is on the top list of your priorities, you might have been looking for a comprehensive solution to protect your network and confidential information from hacking, spyware and other undesired consequences of excessive exposure to...
3.41 MB  
NEW DOWNLOADS IN SECURITY TOOLS, VIRUS REMOVERS
Security Tools  -  Heimdal FREE 2.2.17
SCANS YOUR SYSTEM FOR VULNERABLE APPLICATIONS Heimdal FREE scans your computer every 2 hours for outdated software. You can choose from a list of 20 most used software applications in the world. When it spots an out of date application, it will...
756 KB  
Security Tools  -  BestCrypt Volume Encryption 3.75.00
BestCrypt Volume for Disk Encryption protects all data on all types of volumes residing on fixed and removable disks - simple volumes, mount points, multipartition volumes (spanned, mirrored, striped, RAID-5), while also working on UEFI and GPT...
8.56 MB  
Security Tools  -  Ransom Away 1.0
RansomAway version 1.0 Prevents the Petia Ransomware from attacking. It has been discovered that the Petya Ransomware checks for a read-only file, C:Windowsperfc.dat, and if it finds it, it wont run the encryption side of the software. One of ways...
4.3 MB  
Security Tools  -  PureVPN Windows VPN Software 5.18.0
PureVPN has proven itself as the best VPN for Windows by frequently adding and improving its innovative features. Today, PureVPN provides 550+ VPN servers offering 88,000+ IPs in 140+ countries. The VPN client for Windows offers security via...
25.34 MB  
Security Tools  -  Folder Lock 7.7.0
Folder Lock is a file locking software that lets you encrypt files and create a real-time back-up of the encrypted files on the cloud. It lets you protect portable devices like USB drives, Flash disks, shred unwanted files, create digital wallets...
9.94 MB  
Virus Removers  -  Emsisoft Anti-Malware 2017.7.0.7838
Emsisoft Anti-Malware is a premium anti-malware program to clean and protect your PC from all internet threats: ransomware, viruses, spyware, trojans, bots, adware and worms. It uses a triple-layer prevention engine. Surf Protection, Real-time...
263.28 MB  
Virus Removers  -  Comodo Cloud Antivirus 1.12.421630.537
Comodo Cloud Antivirus is a free security solution for Windows that uses a powerful combination of antivirus, sandboxing and behavior analysis to quickly protect your computer from known and unknown malware. Our real-time scanner constantly...
9 B  
Virus Removers  -  Metadefender Cloud Client 4.0.8.76
Metadefender Cloud Client is the most thorough free malware analysis tool available. A lightweight tool, it scans endpoints for viruses, keyloggers, and other malware. Metadefender Cloud Client performs a deep endpoint forensic analysis for...
16.28 MB  
Virus Removers  -  Asman Virus Hunter 1.1.0.0
This tool will help people with intermediate or advanced computer skills to disable active viruses from infected computers by blocking it from running. Viruses can disable your antivirus and other things, then you can use this tool to regain...
2.18 MB  
Virus Removers  -  Dr.Web Security Space 11.0.5.06130
Comprehensive anti-virus security solution for your Windows PC. Real time protection. Installation and operation in an infected system and exceptional resistance to viruses. Efficient detection and neutralization of all types of threats. Fast...
345.02 MB